define(['prism', 'prism-javascript'], function (Prism) {
  return function (text, language, cb) {
    language = language || 'javascript';
    require(['prism-' + language], function () {
      return cb(Prism.highlight(text, Prism.languages[language]));
    });
  };
});
